#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#define con 1000000
using namespace std;

int niz[2000001];

int main()
{
    int n, k, zamena=0, i, br;

    scanf("%d%d", &n, &k);

    for(i=0; i<2000001; i++)
        niz[i]=k;

    for(i=0; i<n; i++)
    {
        scanf("%d", &br);
        niz[con+br]--;

        if(!niz[con+br])
            zamena++;
    }

    printf("%d\n", zamena);
    for(i=con-n; i<con+n; i++)
    {
        if(niz[i] < 1)
            printf("%d ", i-con);
    }

    return 0;
}